AC_DEFUN([URL_WITH_WEB_PATH],
[AC_ARG_WITH(tmp-web,
[  --with-tmp-web="path"     dir. accessible via web for temporary images ],
[if test x"${withval-no}" != xno && 
    test x"${withval}"x != xyesx ; then
	tmp_web_dir=(`dirname "${withval}" 2>/dev/null || echo "/dev/false"`)
	test -d "$tmp_web_dir" || 
	{ 
	AC_MSG_ERROR([
"$tmp_web_dir" : Not a directory. Please check your configuration.])
	}

	WEB_URL=${withval}
	AC_SUBST(WEB_URL)
else
AC_MSG_ERROR([You must specify a value for tmp-web with --with-tmp-web=/path
****************************************************************************
Examples : 

./configure --with-tmp-web=/home/robert/www/tmp --with-tmp-web-url=/~robert/tmp
./configure --with-tmp-web=/home/http/tmp --with-tmp-web-url=/tmp
./configure --with-tmp-web=/home/http/phpview/tmp  \
            --with-tmp-web-url=/phpview/tmp

See ./configure --help for more information.
And fallback to README or INSTALLATION for more in-depth explanations.
****************************************************************************])
fi],
AC_MSG_ERROR([You need to set tmp-web with --with-tmp-web=/path !!
****************************************************************************
tmp-web must design a valid filesystem directory and served by a web server.
tmp-web is related to tmp-web-url (set with --with-tmp-web-url=url).

Examples : 

./configure --with-tmp-web=/home/robert/www/tmp --with-tmp-web-url=/~robert/tmp
./configure --with-tmp-web=/home/http/tmp --with-tmp-web-url=/tmp
./configure --with-tmp-web=/home/http/phpview/tmp  \
            --with-tmp-web-url=/phpview/tmp

See ./configure --help for more information.
And fallback to README or INSTALLATION for more in-depth explanations.
****************************************************************************])
)]

[AC_ARG_WITH(tmp-web-url,
[  --with-tmp-web-url="path"   this is online url of tmp-web.],
[if test x"${withval-no}" != xno && 
    test x"${withval}"x != xyesx ; then
		WEB_URL_TMP=${withval}
		AC_SUBST(WEB_URL_TMP)
else
AC_MSG_ERROR([
You must specify a value for tmp-web-url with --with-tmp-web-url=/path
****************************************************************************
Examples : 

./configure --with-tmp-web=/home/robert/www/tmp --with-tmp-web-url=/~robert/tmp
./configure --with-tmp-web=/home/http/tmp --with-tmp-web-url=/tmp
./configure --with-tmp-web=/home/http/phpview/tmp  \
            --with-tmp-web-url=/phpview/tmp

See ./configure --help for more information.
And fallback to README or INSTALLATION for more in-depth explanations.
****************************************************************************])
fi],
AC_MSG_ERROR([
You need to set tmp-web-url with --with-tmp-web-url=/path !!
****************************************************************************
tmp-web-url must design a valid path WITHIN your document root served by
your http server.
tmp-web-url is related to tmp-web (set with --with-tmp-web=/path).

Examples : 

./configure --with-tmp-web=/home/robert/www/tmp --with-tmp-web-url=/~robert/tmp
./configure --with-tmp-web=/home/http/tmp --with-tmp-web-url=/tmp
./configure --with-tmp-web=/home/http/phpview/tmp  \
            --with-tmp-web-url=/phpview/tmp


See ./configure --help for more information.
And fallback to README or INSTALLATION for more in-depth explanations.
****************************************************************************])
)]
)
